Bug 1572986 - Python3-DNF-plugin-Torproxy does not connect when Tor is enabled
Summary: Python3-DNF-plugin-Torproxy does not connect when Tor is enabled
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: dnf-plugins-extras
Version: 27
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Marek Blaha
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-29 13:26 UTC by xzj8b3
Modified: 2019-05-20 19:54 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-30 22:56:55 UTC
Type: Bug


Attachments (Terms of Use)

Description xzj8b3 2018-04-29 13:26:11 UTC
/etc/dnf/plugins/torproxy.conf

The minimal content of conf file should contain main sections with parameters enabled and strict, otherwise plugin will not work. If the strict parameter is set to True, torproxy plugin will halt DNF in the case of Tor network unavailability.:

[main]
enabled = true
strict = false
If you do not want to use the default setup of tor, ie running it on the localhost, you can also specify the port and host of the tor client in a torproxy section like this:

[torproxy]
port = 9050
hostname = tor.example.org

Python3-DNF-plugin-Torproxy does not connect when Tor is enabled

How to enable it correctly???

Comment 1 Marek Blaha 2018-04-30 08:08:28 UTC
Hi, torproxy plugin reads from [torproxy] configuration section keys port and host (not hostname). So it looks like an error in documentation.

Please, can you try if this config works?

[torproxy]
port = 9050
host = tor.example.org

Comment 2 Marek Blaha 2018-04-30 12:07:08 UTC
PR https://github.com/rpm-software-management/dnf-plugins-extras/pull/125 fixes documentation.

Comment 3 xzj8b3 2018-04-30 15:01:16 UTC
(In reply to Marek Blaha from comment #1)
> Ciao, plugin per torproxy legge da [torproxy] keys di sezione di
> configurazione port e host (non hostname). Quindi sembra un errore nella
> documentazione.
> 
> Per favore, puoi provare se questa configurazione funziona?
> 
> [Torproxy]
> porta = 9050
> host = tor.example.org

But in host goes the address of the car or 127.0.0.1???
I'm not that practical, but I'd like to DNF under Tor when connected to it!!!

Comment 4 xzj8b3 2018-04-30 15:20:53 UTC
main]
enabled = true
strict = false

[torproxy]
# Host where tor is running, 127.0.0.1 is the default option 
#host = 127.0.0.1

# Port where tor is listening for the socks proxy, default is 9050
#port = 9050


(In reply to Marek Blaha from comment #2)
> PR https://github.com/rpm-software-management/dnf-plugins-extras/pull/125
> corregge la documentazione.

I tried again now but in that way DNF does not appear under Tor, you could explain me better please???

Comment 5 xzj8b3 2018-05-01 13:03:50 UTC
(In reply to Marek Blaha from comment #1)
> Hi, torproxy plugin reads from [torproxy] configuration section keys port
> and host (not hostname). So it looks like an error in documentation.
> 
> Please, can you try if this config works?
> 
> [torproxy]
> port = 9050
> host = tor.example.org

Tried all possible configurazioni.....il Plugin does not seem proxare DNF in any way..... Let's hope at least in Fedora 28 is functional!!!!!

Comment 6 Marek Blaha 2018-05-02 11:48:03 UTC
I'm sorry for having to disappoint you, but there is no change in torproxy plugin in f28...

Please, give me some time, I've never used torproxy plugin so far, I need to look into it and hopefully I will find a solution.

Comment 7 Marek Blaha 2018-05-02 12:22:35 UTC
OK, I did following steps and dnf was running through tor:

1. install tor and dnf torproxy plugin: 
# dnf install tor dnf-plugin-torproxy

2. run tor. (There was minor problem with ownership of /run/tor directory. I had to do # chown -R root.root /run/tor)
# tor

3. prepare /etc/dnf/plugins/torproxy.conf file with content:
[main]
enabled = true
strict = false

[torproxy]
host = 127.0.0.1
port = 9050

4. dnf is running through tor.

If you have tor running on other machine then localhost, put appropriate host and port into config.

Comment 8 xzj8b3 2018-05-02 13:55:38 UTC
(In reply to Marek Blaha from comment #7)
> OK, ho seguito i passaggi e dnf stava correndo attraverso tor:
> 
> 1. installa tor e dnf plugin per torproxy: 
> # dnf install tor dnf-plugin-torproxy
> 
> 2. correre. (C'era un problema minore con la proprietà della directory / run
> / tor. Dovevo fare # chown -R root.root / run / tor)
> # tor
> 
> 3. Prepara il file /etc/dnf/plugins/torproxy.conf con il contenuto:
> [principale]
> abilitato = true
> strict = false
> 
> [Torproxy]
> host = 127.0.0.1
> porta = 9050
> 
> 4. dnf sta attraversando tor.
> 
> Se hai tor in esecuzione su un altro computer allora localhost, metti l'host
> e la porta appropriati nella configurazione.



Later I try and I'll give you confirmation if it goes or I will explain better if I do not succeed!!!  

Really interesting plugins thanks

Comment 9 xzj8b3 2018-07-20 21:26:57 UTC
I'm currently trying again but not even as described in the configuration the plugin works

Curl Ifconfig.me

wget-Q-O-checkip. dyndns. org | sed-e's/. * Current IP Address://'-E's/<. * $//

I tried with both commands and IP is always Italian

Comment 10 xzj8b3 2018-07-22 20:46:53 UTC
(In reply to Marek Blaha from comment #7)
> OK, I did following steps and dnf was running through tor:
> 
> 1. install tor and dnf torproxy plugin: 
> # dnf install tor dnf-plugin-torproxy
> 
> 2. run tor. (There was minor problem with ownership of /run/tor directory. I
> had to do # chown -R root.root /run/tor)
> # tor
> 
> 3. prepare /etc/dnf/plugins/torproxy.conf file with content:
> [main]
> enabled = true
> strict = false
> 
> [torproxy]
> host = 127.0.0.1
> port = 9050
> 
> 4. dnf is running through tor.
> 
> If you have tor running on other machine then localhost, put appropriate
> host and port into config.
To verify that plugin is actually working??? Since I have no positive commands with utilised controls

Comment 11 Marek Blaha 2018-07-23 13:54:57 UTC
(In reply to xzj8b3 from comment #9)
> I'm currently trying again but not even as described in the configuration
> the plugin works
> 
> Curl Ifconfig.me
> 
> wget-Q-O-checkip. dyndns. org | sed-e's/. * Current IP Address://'-E's/<. *
> $//
> 
> I tried with both commands and IP is always Italian

I suppose this commands should show your IP address. But DNF torproxy plugin do not implement or run tor client for you. The plugin requires configured and functional tor connection. Then it enables DNF to run through it.

So basically you need to:
1. install tor (dnf install tor)
2. run it (# tor) By default it will create SOCKS proxy on 127.0.0.1:9050
3. use it (either $ curl --socks5 127.0.0.1:9050 ifconfig.me , or configure dnf torproxy plugin as in comment 7)

Comment 12 xzj8b3 2018-07-23 14:02:48 UTC
is configured as shown (all uncommented).... precisely for that I do not understand how ever activated Tor see my IP again

Comment 13 Ben Cotton 2018-11-27 14:17:43 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 14 Ben Cotton 2018-11-30 22:56:55 UTC
Fedora 27 changed to end-of-life (EOL) status on 2018-11-30. Fedora 27 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 15 xzj8b3 2019-05-20 19:54:27 UTC
In Fedora 30 works well ...

I wanted to know if it supports other command line proxies and which would you recommend for use with the plugin

I prefer to proxare only dnf calling if necessary, but seen with Tor is better something auxiliary that you would recommend?


Note You need to log in before you can comment on or make changes to this bug.